Name:           python-system-calls
Version:        5.16.2
Release:        2%{?dist}
Summary:        System calls

License:        MIT
URL:            https://github.com/hrw/python-syscalls
Source0:        %{pypi_source system-calls}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
Simple interface to get system call numbers for any architecture.
}

%description %{_description}


%package -n python3-system-calls
Summary:        %{summary}

%description -n python3-system-calls %{_description}


%prep
%autosetup -p1 -n system-calls-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files system_calls

mkdir -p %{buildroot}%{_mandir}/man1
cp -p man/syscall.1 %{buildroot}%{_mandir}/man1/



%if %{with tests}
%check
%pytest
%endif


%files -n python3-system-calls -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/syscall
%{_mandir}/man1/syscall.1*


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.2-1
- Update go 5.16 kernel

* Mon Nov 15 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.0-1
- Update to 5.16-rc1 kernel

* Wed Sep 15 2021 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 5.15.5-1
- Initial release
